summaryrefslogtreecommitdiffstats
path: root/tests/test_in_vterm/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/test_in_vterm/test.sh')
-rwxr-xr-xtests/test_in_vterm/test.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/test_in_vterm/test.sh b/tests/test_in_vterm/test.sh
new file mode 100755
index 0000000..bbd4958
--- /dev/null
+++ b/tests/test_in_vterm/test.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+. tests/shlib/common.sh
+
+enter_suite vterm
+
+for t in "$ROOT"/tests/test_in_vterm/test_*.sh ; do
+ test_name="${t##*/test_}"
+ if ! "$t" ; then
+ fail "${test_name%.sh}" F "Failed running $t"
+ fi
+done
+
+exit_suite